var tabIndexNumber = $('.active').attr('id').split('-tab')[0];

$('#table_'+tabIndexNumber).DataTable({
    dom: 'Bfrtip',
    "pageLength": 15,
    initComplete: function () {
        this.api().columns().every(function () {
            var column = this;
            if (tabIndexNumber=4)
            {
            var select = $('<select><option value=""></option></select>')
                .appendTo($(column.header([1])).empty())
                .on('change', function () {
                    var val = $.fn.dataTable.util.escapeRegex(
                        $(this).val()
                    );

                    column
                        .search(val ? '^' + val + '$' : '', true, false)
                        .draw();
                });
                }
                else
                {
                var select = $('<select><option value=""></option></select>')
                                .appendTo($(column.header()).empty())
                                .on('change', function () {
                                    var val = $.fn.dataTable.util.escapeRegex(
                                        $(this).val()
                                    );

                                    column
                                        .search(val ? '^' + val + '$' : '', true, false)
                                        .draw();
                                });
                }


                            column.data().unique().sort().each(function (d, j) {
                            var val = $('<div/>').html(d).text();
                            select.append( '<option value="' + val + '">' + val + '</option>' );
            });
        });
    },
    buttons: [
        'copyHtml5',
        'excelHtml5'

    ]
});